Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228780 - Order of disks gets messed up if your USB disk is powered on during installation
Summary: Order of disks gets messed up if your USB disk is powered on during installation
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-14 22:26 UTC by Jean Francois Martinez
Modified: 2008-05-07 01:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 01:11:27 UTC


Attachments (Terms of Use)

Description Jean Francois Martinez 2007-02-14 22:26:19 UTC
Description of problem:
Install with an USB external disk connected.  It shows as /dev/sda with IDE 
disks as sdb, sdc.  At end of install, reboot.  You will find that now the IDE
disks come first and teh UDB isk is last.  Problem is that the installer has
built the fstab with swap partitions in the positions they had during the
installation (ie sdbx, sdcx) so swap is not activated



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Power on an external USB disk
2.  Install 
3.  Reboot
  
Actual results:
Swappping is not activated because the fstab is wrong (it show on sda instead of
sdb)


Expected results:
Obvious.

Additional info:

Comment 1 Jeremy Katz 2007-02-26 19:41:00 UTC
The fstab should show the label, not the device name.  Does it not?

Comment 2 Jean Francois Martinez 2007-02-26 21:37:29 UTC
Yes it does.  But that is for normal partitions.  Swap partitions  don't have
labels so they are entered in the fstab with the names (sdbX, sdcX) they had
during the installation and those differ from the names they will get in normal
mode (because the normal mode places UDB disks after the fixed ones, while
during the install it is the opposite)

Comment 3 Bill Nottingham 2007-03-02 17:35:37 UTC
Moving to 'devel' as discussed on
https://www.redhat.com/archives/fedora-devel-list/2007-March/msg00095.html.

Comment 4 Jean Francois Martinez 2007-03-09 20:33:27 UTC
In fact I am nearly sure the problem is in fact a consequence of bug


https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=228770

Because the hard disks were not detected at install time the USB hd got there
first while in production it is the internal HD who are detected first.  Meaning
that on a machine wehre HD are detected at install time there would be no
mess-up in the fastab so this would not happen.

Now you can still consider as bug since this will bie people who have exotic
SCSI or RAID cards whose drivers are not in Fedora.


Comment 5 Bug Zapper 2008-04-03 19:09:20 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 6 Bug Zapper 2008-05-07 01:11:25 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.